InterpolationDialog Class Reference

Interpolation options dialog. More...

`#include <InterpolationDialog.h>`

Inheritance diagram for InterpolationDialog:

## Public Slots

void | activateCurve (const QString &)
void | changeDataRange ()
void | interpolate ()
void | setGraph (Graph *g)

## Public Member Functions

| InterpolationDialog (QWidget *parent=0, Qt::WFlags fl=0)

## Private Attributes

ColorButton * | boxColor
DoubleSpinBox * | boxEnd
QComboBox * | boxMethod
QComboBox * | boxName
QSpinBox * | boxPoints
DoubleSpinBox * | boxStart
QPushButton * | buttonCancel
QPushButton * | buttonFit
Graph * | graph

## Detailed Description

Interpolation options dialog.

## Constructor & Destructor Documentation

## InterpolationDialog()

InterpolationDialog::InterpolationDialog | ( | QWidget * | parent = `0`,
|  | Qt::WFlags | fl = `0`
| ) |  |

References activateCurve(), boxColor, boxEnd, boxMethod, boxName, boxPoints, boxStart, buttonCancel, buttonFit, ApplicationWindow::d_decimal_digits, interpolate(), ColorButton::setColor(), and DoubleSpinBox::setDecimals().

## Member Function Documentation

## activateCurve

void InterpolationDialog::activateCurve | ( | const QString & | s | ) |

slot

References boxEnd, boxStart, Graph::curve(), graph, Graph::range(), and DoubleSpinBox::setValue().

Referenced by InterpolationDialog(), and setGraph().

## changeDataRange

void InterpolationDialog::changeDataRange | ( |  | ) |

slot

References boxEnd, boxStart, graph, Graph::selectedXEndValue(), Graph::selectedXStartValue(), and DoubleSpinBox::setValue().

Referenced by setGraph().

## interpolate

void InterpolationDialog::interpolate | ( |  | ) |

slot

References Graph::analysableCurvesList(), boxColor, boxEnd, boxMethod, boxName, boxPoints, boxStart, ColorButton::color(), Graph::curve(), graph, Filter::run(), Filter::setColor(), Filter::setOutputPoints(), and DoubleSpinBox::value().

Referenced by InterpolationDialog().

## setGraph

void InterpolationDialog::setGraph | ( | Graph * | g | ) |

slot

References activateCurve(), Graph::analysableCurvesList(), boxName, changeDataRange(), Graph::curveRange(), graph, Graph::rangeSelectorsEnabled(), and Graph::rangeSelectorTool().

## Member Data Documentation

## boxColor

ColorButton* InterpolationDialog::boxColor

private

Referenced by interpolate(), and InterpolationDialog().

## boxEnd

DoubleSpinBox* InterpolationDialog::boxEnd

private

Referenced by activateCurve(), changeDataRange(), interpolate(), and InterpolationDialog().

## boxMethod

QComboBox* InterpolationDialog::boxMethod

private

Referenced by interpolate(), and InterpolationDialog().

## boxName

QComboBox* InterpolationDialog::boxName

private

Referenced by interpolate(), InterpolationDialog(), and setGraph().

## boxPoints

QSpinBox* InterpolationDialog::boxPoints

private

Referenced by interpolate(), and InterpolationDialog().

## boxStart

DoubleSpinBox* InterpolationDialog::boxStart

private

Referenced by activateCurve(), changeDataRange(), interpolate(), and InterpolationDialog().

## buttonCancel

QPushButton* InterpolationDialog::buttonCancel

private

Referenced by InterpolationDialog().

## buttonFit

QPushButton* InterpolationDialog::buttonFit

private

Referenced by InterpolationDialog().

## graph

Graph* InterpolationDialog::graph

private

Referenced by activateCurve(), changeDataRange(), interpolate(), and setGraph().

The documentation for this class was generated from the following files:

- qtiplot/src/analysis/dialogs/InterpolationDialog.h
- qtiplot/src/analysis/dialogs/InterpolationDialog.cpp